defmodule StackServer2 do
  use Application
  # for more information on OTP Applications
  def start(_type, _args) do
    import Supervisor.Spec, warn: false

    children = [
      # Define workers and child supervisors to be supervised
      worker(StackServer2.Worker, [])
    ]

    # See http://elixir-lang.org/docs/stable/elixir/Supervisor.html
    # for other strategies and supported options
    opts = [strategy: :one_for_one, 
            name: StackServer2.Supervisor]
    Supervisor.start_link(children, opts)
  end
end
